@ECHO OFF

REM *******************************************************************
REM
REM	Procedura odczytuje zawartosc tablicy z buforem na dysku.
REM
REM	Skrypt pobrano ze strony: http://members.chello.pl/m.rataj
REM
REM *******************************************************************

SETLOCAL
SET /P index="Podaj nr. indexa;) "
FIND "[%index%]" plik.xxx > temp.tmp
FOR /F "tokens=3 skip=2" %%i IN (temp.tmp) DO SET index=%%i
DEL temp.tmp
ECHO Pod tym indexem kryje sie wartosc %index%
PAUSE > NUL
ENDLOCAL